## mupen64plus-video-glide64 1.99.4+34+84c051341841

=== debian/changelog ===
mupen64plus-video-glide64 (1.99.4+34+84c051341841-1) experimental; urgency=low

  * New upstream snapshot from revision 84c051341841912c0965aaf0f81b8d107e0f7be6
  * debian/patches:
    - Rebase printf_fixup.patch against 1.99.4+34+84c051341841

 -- Sven Eckelmann <sven@narfation.org>  Sat, 12 Nov 2011 21:49:42 +0100

mupen64plus-video-glide64 (1.99.4+28+34f0fa1700f5-1) experimental; urgency=low

  * New upstream snapshot from revision 34f0fa1700f5b64ded4b84640384b8f74e4417ec
  * debian/control:
    - Depend on mupen64plus-*-abi-2
    - Build-Depend on libmupen64plus-dev >= 1.99.4+77+8bb0e6b3ae3a-1
  * Don't mix implicit and explicit rules to prevent FTBFS with make 3.82
  * debian/patches:
    - Remore upstream merged patches: default_settings.patch,
      portable_mm_store_ps.patch, rewrite_makefile.patch
    - Rebase printf_fixup.patch against 1.99.4+28+34f0fa1700f5
  * Add debian/get-orig-source.sh for snapshots

 -- Sven Eckelmann <sven@narfation.org>  Mon, 29 Aug 2011 17:06:50 +0200
