=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  debhelper (>= 8.1.3),
  dpkg-dev (>= 1.16.0),
  libgl1-mesa-dev | libgl-dev,
- libmupen64plus-dev,
+ libmupen64plus-dev (>= 1.99.4+77+8bb0e6b3ae3a),
  libsdl1.2-dev | libsdl-dev,
  pkg-config,
 
@@ -24,7 +24,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- mupen64plus-video-abi-1,
+ mupen64plus-video-abi-2,
 Provides:
  mupen64plus-video,
 Description: Glide64 high-level graphics emulation for mupen64plus
