=== debian/changelog ===
mupen64plus-video-glide64 (1.99.4+37+a1c35b79de0d-2) unstable; urgency=low

  [ Simon Ruderich ]
  * Let debhelper set the buildflags implicitly

  [ Sven Eckelmann ]
  * Install architecture independent files into /usr/share/games/mupen64plus

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 May 2012 23:39:20 +0200

mupen64plus-video-glide64 (1.99.4+37+a1c35b79de0d-1) unstable; urgency=low

  * New upstream snapshot from revision a1c35b79de0d75c76aac92711ea8a82471c89580
  * Update copyright years in debian/copyright
  * Enable all hardening flags in debian/rules
  * Upgraded to policy 3.9.3, no changes required
  * Upgrade debhelper compat to v9
  * debian/patches:
    - Rebase printf_fixup.patch against 1.99.5
  * Use buildflags.mk to set security flags in debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Sat, 17 Mar 2012 20:18:37 +0100
