=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Tobias Loose <TobiasLoose@gmx.de>
 Uploaders: Sven Eckelmann <sven@narfation.org>
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/mupen64plus/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-video-glide64.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-video-glide64.git
 Build-Depends:
- debhelper (>= 8.1.3),
- dpkg-dev (>= 1.16.0),
+ debhelper (>= 9),
+ dpkg-dev (>= 1.16.1.1),
  libgl1-mesa-dev | libgl-dev,
- libmupen64plus-dev (>= 1.99.4+77+8bb0e6b3ae3a),
+ libmupen64plus-dev (>= 1.99.5),
  libsdl1.2-dev | libsdl-dev,
  pkg-config,
 
@@ -24,7 +24,9 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- mupen64plus-video-abi-2,
+ mupen64plus-config-abi-2.2,
+ mupen64plus-gfx-abi-2.1,
+ mupen64plus-vidext-abi-2,
 Provides:
  mupen64plus-video,
 Description: Glide64 high-level graphics emulation for mupen64plus
