=== debian/changelog ===
mupen64plus-video-glide64 (1.99.5-2) unstable; urgency=low

  * Upload to unstable
  * Remove obsolete DM-Upload-Allowed in debian/control
  * Disable extra debug code in release builds with -DNDEBUG in
    debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Sun, 05 May 2013 14:51:21 +0200

mupen64plus-video-glide64 (1.99.5-1) experimental; urgency=low

  * New Upstream Version
  * Upgraded to policy 3.9.4, no changes required
  * debian/patches:
    - Remove upstream merged gcc_lto.patch

 -- Sven Eckelmann <sven@narfation.org>  Wed, 10 Oct 2012 21:52:07 +0200

mupen64plus-video-glide64 (1.99.4+37+a1c35b79de0d-3) unstable; urgency=low

  * debian/patches:
    - Add gcc_lto.patch, Enable support for link-time optimization

 -- Sven Eckelmann <sven@narfation.org>  Sat, 09 Jun 2012 01:25:27 +0200
